## kmailtransport 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.19.3")
project(MailTransport VERSION ${PIM_VERSION})

# ECM setup
set(KF5_MIN_VERSION "5.87.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


add_definitions(-DTRANSLATION_DOMAIN=\"libmailtransport5\")

set(KMAILTRANSPORT_LIB_VERSION ${PIM_VERSION})

set(KMIME_LIB_VERSION "5.19.3")
set(AKONADI_LIB_VERSION "5.19.3")
set(AKONADIMIME_LIB_VERSION "5.19.3")
set(KSMTP_LIB_VERSION "5.19.3")
set(KGAPI_LIB_VERSION "5.19.3")

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailTransport")

########### Find packages ###########
find_package(KF5KCMUtils ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
#remove in the future
find_package(KF5Wallet ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimSMTP ${KSMTP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimGAPI ${KGAPI_LIB_VERSION} CONFIG REQUIRED)

#it will replace kwallet support
find_package(Qt5Keychain CONFIG)
set_package_properties(Qt5Keychain PROPERTIES
                                   DESCRIPTION "Provides support for secure credentials storage"
                                   URL "https://github.com/frankosterfeld/qtkeychain"
                                   TYPE REQUIRED)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055800)

if(BUILD_TESTING)
    find_package(Qt5Test CONFIG REQUIRED)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()


########### Targets ###########
add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT MAILTRANSPORT
        FILE kmailtransport.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5MailTransport_QCH
        FILE KF5MailTransportQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5MailTransportQchTargets.cmake\")")
endif()

ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/kcm/CMakeLists.txt ===

add_library(kcm_mailtransport MODULE)
target_sources(kcm_mailtransport PRIVATE configmodule.cpp configmodule.h)
target_link_libraries(kcm_mailtransport
                        KF5::KCMUtils
                        KF5::ConfigWidgets
                        KF5::MailTransport
)

install(TARGETS kcm_mailtransport DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES kcm_mailtransport.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== src/kmailtransport/CMakeLists.txt ===
add_library(KF5MailTransport)
add_library(KF5::MailTransport ALIAS KF5MailTransport)
ecm_setup_version(PROJECT VARIABLE_PREFIX MAILTRANSPORT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailtransport_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MailTransportConfigVersion.cmake"
    SOVERSION 5
    )

target_sources(KF5MailTransport PRIVATE
    transport.cpp
    transportmanager.cpp
    transporttype.cpp
    transportjob.cpp
    precommandjob.cpp
    socket.cpp
    servertest.cpp
    )

target_sources(KF5MailTransport PRIVATE
    widgets/transportconfigwidget.cpp
    widgets/transportcombobox.cpp
    widgets/transportlistview.cpp
    widgets/transportmanagementwidget.cpp
    widgets/addtransportdialogng.cpp
    )

target_sources(KF5MailTransport PRIVATE
    plugins/transportabstractplugin.cpp
    plugins/transportpluginmanager.cpp
    ) 
target_sources(KF5MailTransport PRIVATE
    transporttype_p.h
    mailtransport_defs.h
    socket.h
    precommandjob.h
    transport_p.h
    transport.h
    kmailtransport_private_export.h
    plugins/transportpluginmanager.h
    plugins/transportabstractplugin.h
    widgets/addtransportdialogng.h
    widgets/transportcombobox.h
    widgets/transportlistview.h
    widgets/transportconfigwidget_p.h
    widgets/transportconfigwidget.h
    widgets/transportmanagementwidget.h
    transportjob.h
    transportmanager.h
    transporttype.h
    servertest.h
    )

ecm_qt_declare_logging_category(KF5MailTransport HEADER mailtransport_debug.h IDENTIFIER MAILTRANSPORT_LOG CATEGORY_NAME org.kde.pim.mailtransport
        DESCRIPTION "kmailtransport (kmailtransport)"
        OLD_CATEGORY_NAMES log_mailtransport
        EXPORT MAILTRANSPORT
    )

ki18n_wrap_ui(KF5MailTransport
    ui/addtransportdialog.ui
    ui/transportmanagementwidget.ui
    )

kconfig_add_kcfg_files(KF5MailTransport transportbase.kcfgc)

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KF5MailTransport PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(KF5MailTransport BASE_NAME mailtransport)

target_include_directories(KF5MailTransport INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransport;${KDE_INSTALL_INCLUDEDIR_KF5}/mailtransport>")
target_include_directories(KF5MailTransport PUBLIC "$<BUILD_INTERFACE:${MailTransport_SOURCE_DIR}/src;${MailTransport_BINARY_DIR}/src>")

target_link_libraries(KF5MailTransport
    PUBLIC
    KF5::Wallet
    PRIVATE
    KF5::I18n
    KF5::ConfigGui
    KF5::WidgetsAddons
    KF5::CoreAddons
    KF5::Wallet
    KF5::ConfigWidgets
    Qt::DBus
    Qt::Network
    qt5keychain
    )

set_target_properties(KF5MailTransport PROPERTIES
    VERSION ${MAILTRANSPORT_VERSION}
    SOVERSION ${MAILTRANSPORT_SOVERSION}
    EXPORT_NAME MailTransport
    )


install(TARGETS KF5MailTransport EXPORT KF5MailTransportTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES mailtransport.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})


ecm_generate_headers(MailTransport_CamelCase_HEADERS
    HEADER_NAMES
    PrecommandJob
    ServerTest
    Transport
    TransportJob
    TransportManager
    TransportType
    PREFIX MailTransport
    REQUIRED_HEADERS MailTransport_HEADERS
    )

ecm_generate_headers(MailTransport_widgets_CamelCase_HEADERS
    HEADER_NAMES
    TransportComboBox
    TransportManagementWidget
    TransportConfigWidget
    PREFIX MailTransport
    REQUIRED_HEADERS MailTransport_widgets_HEADERS
    RELATIVE widgets
    )

ecm_generate_headers(MailTransport_plugins_CamelCase_HEADERS
    HEADER_NAMES
    TransportAbstractPlugin
    PREFIX MailTransport
    REQUIRED_HEADERS MailTransport_plugins_HEADERS
    RELATIVE plugins
    )

install(FILES
    ${MailTransport_SOURCE_DIR}/src/kmailtransport/widgets/transportconfigwidget_p.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/mailtransport/private COMPONENT Devel )

install(FILES
    ${MailTransport_CamelCase_HEADERS}
    ${MailTransport_widgets_CamelCase_HEADERS}
    ${MailTransport_plugins_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransport/ COMPONENT Devel )

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mailtransport_export.h
    ${MailTransport_HEADERS}
    ${MailTransport_widgets_HEADERS}
    ${MailTransport_plugins_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/transportbase.h

    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/mailtransport COMPONENT Devel
    )

ecm_generate_pri_file(BASE_NAME KMailTransport LIB_NAME KF5MailTransport DEPS "KWallet" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransport/)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})


set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailTransport")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5MailTransportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailTransportConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailTransportConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailTransportConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5MailTransportTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5MailTransportTargets.cmake NAMESPACE KF5::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mailtransport_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
    )


if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(plugins/tests)
endif()

if (BUILD_QCH)
    ecm_add_qch(
        KF5MailTransport_QCH
        NAME KMailTransport
        BASE_NAME KF5MailTransport
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${MailTransport_HEADERS}
            ${MailTransport_widgets_HEADERS}
            ${MailTransport_plugins_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Core_QCH
            Qt5Gui_QCH
            Qt5Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            MAILTRANSPORT_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

add_subdirectory(plugins/smtp)

=== src/kmailtransportakonadi/CMakeLists.txt ===
add_library(KF5MailTransportAkonadi)
add_library(KF5::MailTransportAkonadi ALIAS KF5MailTransportAkonadi)


ecm_setup_version(PROJECT VARIABLE_PREFIX MAILTRANSPORT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailtransportakonadi_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MailTransportAkonadiConfigVersion.cmake"
    SOVERSION 5
    )




target_sources(KF5MailTransportAkonadi PRIVATE
    dispatcherinterface.cpp
    attributeregistrar.cpp
    dispatchmodeattribute.cpp
    errorattribute.cpp
    transportattribute.cpp
    sentactionattribute.cpp
    sentbehaviourattribute.cpp
    messagequeuejob.cpp
    outboxactions.cpp
    filteractionjob.cpp

    filteractionjob_p.h
    errorattribute.h
    outboxactions_p.h
    dispatcherinterface_p.h
    sentbehaviourattribute.h
    messagequeuejob.h
    sentactionattribute.h
    transportattribute.h
    dispatchmodeattribute.h
    dispatcherinterface.h

    )

ecm_qt_declare_logging_category(KF5MailTransportAkonadi HEADER mailtransportakonadi_debug.h IDENTIFIER MAILTRANSPORTAKONADI_LOG CATEGORY_NAME org.kde.pim.mailtransportakonadi
        DESCRIPTION "kmailtransportakonadi (kmailtransportakonadi)"
        EXPORT MAILTRANSPORT
    )

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KF5MailTransportAkonadi PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KF5MailTransportAkonadi BASE_NAME mailtransportakonadi)

target_include_directories(KF5MailTransportAkonadi INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransportAkonadi;${KDE_INSTALL_INCLUDEDIR_KF5}/mailtransportakonadi>")
target_include_directories(KF5MailTransportAkonadi PUBLIC "$<BUILD_INTERFACE:${MailTransport_SOURCE_DIR}/src;${MailTransport_BINARY_DIR}/src>")


target_link_libraries(KF5MailTransportAkonadi
    PUBLIC
    KF5::AkonadiCore
    KF5::Mime
    KF5::AkonadiMime
    KF5::MailTransport
    PRIVATE
    KF5::I18n
    KF5::CoreAddons
    KF5::ConfigGui
    )

set_target_properties(KF5MailTransportAkonadi PROPERTIES
    VERSION ${MAILTRANSPORT_VERSION}
    SOVERSION ${MAILTRANSPORT_SOVERSION}
    EXPORT_NAME MailTransportAkonadi
    )


install(TARGETS KF5MailTransportAkonadi EXPORT KF5MailTransportAkonadiTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(MailTransport_kmailtransportakonadi_CamelCase_HEADERS
    HEADER_NAMES
    DispatcherInterface
    MessageQueueJob
    TransportAttribute
    SentBehaviourAttribute
    DispatchModeAttribute
    ErrorAttribute
    SentActionAttribute
    PREFIX MailTransportAkonadi
    REQUIRED_HEADERS MailTransport_kmailtransportakonadi_HEADERS
    )

install(FILES
    ${MailTransport_kmailtransportakonadi_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransportAkonadi COMPONENT Devel )

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mailtransportakonadi_export.h
    ${MailTransport_kmailtransportakonadi_HEADERS}

    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/mailtransportakonadi COMPONENT Devel
    )

ecm_generate_pri_file(BASE_NAME KMailTransportAkonadi LIB_NAME KF5MailTransportAkonadi DEPS "KMailTransport AkonadiCore KMime AkonadiMime" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransportAkonadi/)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})


set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailTransportAkonadi")

install(EXPORT KF5MailTransportAkonadiTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5MailTransportAkonadiTargets.cmake NAMESPACE KF5::)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5MailTransportAkonadiConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailTransportAkonadiConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailTransportAkonadiConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailTransportAkonadiConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )


install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mailtransportakonadi_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
    )

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

add_subdirectory(plugins)

=== src/kmailtransportakonadi/tests/CMakeLists.txt ===

include(ECMMarkAsTest)

find_package(KF5TextWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)

set(queuer_srcs queuer.cpp)
add_executable(queuer ${queuer_srcs})
ecm_mark_as_test(queuer)
target_link_libraries(queuer KF5MailTransportAkonadi Qt::Widgets KF5::I18n KF5::ConfigGui KF5::TextWidgets)

set( sendqueued_srcs sendqueued.cpp )
add_executable( sendqueued ${sendqueued_srcs} )
ecm_mark_as_test(sendqueued)
target_link_libraries( sendqueued KF5MailTransportAkonadi  KF5::AkonadiMime Qt::Widgets)

set( clearerror_srcs clearerror.cpp )
add_executable( clearerror ${clearerror_srcs} )
ecm_mark_as_test(clearerror)
target_link_libraries( clearerror KF5MailTransportAkonadi  KF5::AkonadiMime Qt::Widgets)

set( abort_srcs abort.cpp )
add_executable( abort ${abort_srcs} )
ecm_mark_as_test(abort)
target_link_libraries( abort KF5MailTransportAkonadi KF5::AkonadiCore Qt::Widgets)

=== src/kmailtransport/plugins/smtp/CMakeLists.txt ===
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()
kcoreaddons_add_plugin(mailtransport_smtpplugin JSON smtpmailtransport.json INSTALL_NAMESPACE mailtransport)

target_sources(mailtransport_smtpplugin PRIVATE
    smtpmailtransportplugin.cpp
    smtpconfigdialog.cpp
    smtpjob.cpp
    smtpconfigwidget.cpp
    smtpconfigdialog.h
    smtpjob.h
    sessionuiproxy.h
    smtpmailtransportplugin.h
    smtpconfigwidget.h

    )
ki18n_wrap_ui(mailtransport_smtpplugin
    smtpsettings.ui
    )
ecm_qt_declare_logging_category(mailtransport_smtpplugin HEADER mailtransportplugin_smtp_debug.h IDENTIFIER MAILTRANSPORT_SMTP_LOG CATEGORY_NAME org.kde.pim.mailtransport.smtpplugin
        DESCRIPTION "kmailtransport (smtp plugin)"
        OLD_CATEGORY_NAMES log_smtp
        EXPORT MAILTRANSPORT
    )



target_link_libraries(mailtransport_smtpplugin
    KF5::MailTransport
    KF5::I18n
    KF5::ConfigWidgets
    KF5::KIOWidgets
    KPim::SMTP
    KPim::GAPICore
    )

=== debian/changelog ===
kmailtransport (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:12:46 +0000

kmailtransport (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:19:22 +0000

kmailtransport (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:27:13 +0000

kmailtransport (21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:24:21 +0000

kmailtransport (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:19:34 +0000

kmailtransport (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 23:31:05 +0000

kmailtransport (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:42:05 +0000

kmailtransport (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:35:28 +0100

kmailtransport (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:04:23 +0100

kmailtransport (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:58:03 +0100

kmailtransport (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:43:31 +0100

kmailtransport (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:45:30 +0100

kmailtransport (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:42:13 +0100

kmailtransport (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:08:46 +0100

kmailtransport (21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)
  * Update patches.
  * Build depend on qt5keychain-dev

  [ José Manuel Santamaría Lema ]
  * Update symbols

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:38:47 +0100

=== debian/control ===
Source: kmailtransport
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:21.12.3~),
               libkf5akonadimime-dev (>= 4:21.12.3~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5mime-dev (>= 21.12.3~),
               libkf5wallet-dev (>= 5.31.0~),
               libkpimgapi-dev (>= 21.12.3~) [amd64 arm64 armhf i386],
               libkpimsmtp-dev (>= 21.12.3~),
               libsasl2-dev,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qt5keychain-dev,
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.0.1
Homepage: https://projects.kde.org/projects/kde/pim/kmailtransport
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmailtransport

Package: kde-config-mailtransport
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5mailtransport5 (<< 15.07.90+git20150819.1000)
Replaces: libkf5mailtransport5 (<< 15.07.90+git20150819.1000)
Description: mail transport service KCM
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.

Package: kmailtransport-akonadi
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport5abi2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: ${kde-l10n:all}
Breaks: ${kde-l10n:all}
Description: mail transport akonadi library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the akonadi plugin.

Package: libkf5mailtransport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5mailtransport5 (<< 15.07.90+git20150819.1000),
        libkf5mailtransport5abi2 (<< 17.12.3-0ubuntu4~),
        ${kde-l10n:all},
Replaces: libkf5mailtransport5 (<< 15.07.90+git20150819.1000),
          libkf5mailtransport5abi2 (<< 17.12.3-0ubuntu4~),
          ${kde-l10n:all},
Description: mail transport service library - data files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.
 .
 This package contains data files.

Package: libkf5mailtransport-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: kmailtransport-akonadi (= ${binary:Version}),
         libkf5akonadimime-dev (>= 4:21.12.3~),
         libkf5mailtransport5abi2 (= ${binary:Version}),
         libkf5mailtransportakonadi5 (= ${binary:Version}),
         libkf5mime-dev (>= 21.12.3~),
         libkf5wallet-dev (>= 5.31.0~),
         libsasl2-dev,
         ${misc:Depends},
Description: mail transport service library - development files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the development files.

Package: libkf5mailtransport5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5MailTransport
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-config-mailtransport
Breaks: kio-smtp (<< 17.11.90~),
        libkf5mailtransport-data (<< 17.08.3~),
        ${kde-l10n:all},
Replaces: kio-smtp (<< 17.11.90~),
          libkf5mailtransport-data (<< 17.08.3~),
          ${kde-l10n:all},
Description: mail transport service library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.

Package: libkf5mailtransportakonadi5
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-config-mailtransport
Description: mail transport service library for akonadi
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This library integrates with Akonadi.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.

## kmailtransport 22.08.1

=== debian/changelog ===
kmailtransport (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:42:15 +0100

kmailtransport (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:51:53 +0100

kmailtransport (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:29:30 +0100

kmailtransport (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:03:44 +0100

kmailtransport (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:02:32 +0100

kmailtransport (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Refresh patches.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:50:07 +0100

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:21.12.3~),
-               libkf5akonadimime-dev (>= 4:21.12.3~),
+               libkf5akonadi-dev (>= 4:22.08.1~),
+               libkf5akonadimime-dev (>= 4:22.08.1~),
                libkf5configwidgets-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5mime-dev (>= 21.12.3~),
+               libkf5mime-dev (>= 22.08.1~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkpimgapi-dev (>= 21.12.3~) [amd64 arm64 armhf i386],
-               libkpimsmtp-dev (>= 21.12.3~),
+               libkpimgapi-dev (>= 22.08.1~) [amd64 arm64 armhf i386],
+               libkpimsmtp-dev (>= 22.08.1~),
                libsasl2-dev,
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
@@ -88,10 +88,10 @@
 Multi-Arch: same
 Section: libdevel
 Depends: kmailtransport-akonadi (= ${binary:Version}),
-         libkf5akonadimime-dev (>= 4:21.12.3~),
+         libkf5akonadimime-dev (>= 4:22.08.1~),
          libkf5mailtransport5abi2 (= ${binary:Version}),
          libkf5mailtransportakonadi5 (= ${binary:Version}),
-         libkf5mime-dev (>= 21.12.3~),
+         libkf5mime-dev (>= 22.08.1~),
          libkf5wallet-dev (>= 5.31.0~),
          libsasl2-dev,
          ${misc:Depends},

## kmailtransport 22.12.3

=== src/CMakeLists.txt ===

add_subdirectory(kmailtransport)
if (TARGET KF5::AkonadiCore)
    add_subdirectory(kmailtransportakonadi)
endif()
add_subdirectory(kcm)

=== src/kcm/CMakeLists.txt ===

add_library(kcm_mailtransport MODULE)
target_sources(kcm_mailtransport PRIVATE configmodule.cpp configmodule.h)
target_link_libraries(kcm_mailtransport
                        KF5::KCMUtils
                        KF5::ConfigWidgets
                        KF5::CoreAddons
                        KF5::MailTransport
)

install(TARGETS kcm_mailtransport DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES kcm_mailtransport.desktop DESTINATION ${KDE_INSTALL_KSERVICESDIR})

=== src/kmailtransport/CMakeLists.txt ===
--- 
+++ 
@@ -69,7 +69,7 @@
 
 generate_export_header(KF5MailTransport BASE_NAME mailtransport)
 
-target_include_directories(KF5MailTransport INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransport;${KDE_INSTALL_INCLUDEDIR_KF5}/mailtransport>")
+target_include_directories(KF5MailTransport INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/MailTransport>")
 target_include_directories(KF5MailTransport PUBLIC "$<BUILD_INTERFACE:${MailTransport_SOURCE_DIR}/src;${MailTransport_BINARY_DIR}/src>")
 
 target_link_libraries(KF5MailTransport
@@ -84,8 +84,10 @@
     KF5::ConfigWidgets
     Qt::DBus
     Qt::Network
-    qt5keychain
-    )
+    )
+
+target_link_libraries(KF5MailTransport PRIVATE qt${QT_MAJOR_VERSION}keychain)
+
 
 set_target_properties(KF5MailTransport PROPERTIES
     VERSION ${MAILTRANSPORT_VERSION}
@@ -94,7 +96,7 @@
     )
 
 
-install(TARGETS KF5MailTransport EXPORT KF5MailTransportTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS KF5MailTransport EXPORT KF5MailTransportTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
 
 install(FILES mailtransport.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
 
@@ -131,13 +133,13 @@
 
 install(FILES
     ${MailTransport_SOURCE_DIR}/src/kmailtransport/widgets/transportconfigwidget_p.h
-    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/mailtransport/private COMPONENT Devel )
+    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/MailTransport/mailtransport/private COMPONENT Devel )
 
 install(FILES
     ${MailTransport_CamelCase_HEADERS}
     ${MailTransport_widgets_CamelCase_HEADERS}
     ${MailTransport_plugins_CamelCase_HEADERS}
-    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransport/ COMPONENT Devel )
+    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/MailTransport/MailTransport/ COMPONENT Devel )
 
 install(FILES
     ${CMAKE_CURRENT_BINARY_DIR}/mailtransport_export.h
@@ -146,10 +148,10 @@
     ${MailTransport_plugins_HEADERS}
     ${CMAKE_CURRENT_BINARY_DIR}/transportbase.h
 
-    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/mailtransport COMPONENT Devel
-    )
-
-ecm_generate_pri_file(BASE_NAME KMailTransport LIB_NAME KF5MailTransport DEPS "KWallet" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransport/)
+    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/MailTransport/mailtransport COMPONENT Devel
+    )
+
+ecm_generate_pri_file(BASE_NAME KMailTransport LIB_NAME KF5MailTransport DEPS "KWallet" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/MailTransport/)
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
 
 
@@ -172,7 +174,7 @@
 
 install(FILES
     ${CMAKE_CURRENT_BINARY_DIR}/mailtransport_version.h
-    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
+    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/MailTransport COMPONENT Devel
     )

=== src/kmailtransportakonadi/CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,7 @@
 endif()
 generate_export_header(KF5MailTransportAkonadi BASE_NAME mailtransportakonadi)
 
-target_include_directories(KF5MailTransportAkonadi INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransportAkonadi;${KDE_INSTALL_INCLUDEDIR_KF5}/mailtransportakonadi>")
+target_include_directories(KF5MailTransportAkonadi INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/MailTransportAkonadi>")
 target_include_directories(KF5MailTransportAkonadi PUBLIC "$<BUILD_INTERFACE:${MailTransport_SOURCE_DIR}/src;${MailTransport_BINARY_DIR}/src>")
 
 
@@ -55,11 +55,9 @@
     KF5::AkonadiCore
     KF5::Mime
     KF5::AkonadiMime
-    KF5::MailTransport
     PRIVATE
     KF5::I18n
     KF5::CoreAddons
-    KF5::ConfigGui
     )
 
 set_target_properties(KF5MailTransportAkonadi PROPERTIES
@@ -69,7 +67,7 @@
     )
 
 
-install(TARGETS KF5MailTransportAkonadi EXPORT KF5MailTransportAkonadiTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS KF5MailTransportAkonadi EXPORT KF5MailTransportAkonadiTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
 
 ecm_generate_headers(MailTransport_kmailtransportakonadi_CamelCase_HEADERS
     HEADER_NAMES
@@ -86,16 +84,16 @@
 
 install(FILES
     ${MailTransport_kmailtransportakonadi_CamelCase_HEADERS}
-    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransportAkonadi COMPONENT Devel )
+    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/MailTransportAkonadi/MailTransportAkonadi COMPONENT Devel )
 
 install(FILES
     ${CMAKE_CURRENT_BINARY_DIR}/mailtransportakonadi_export.h
     ${MailTransport_kmailtransportakonadi_HEADERS}
 
-    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/mailtransportakonadi COMPONENT Devel
+    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/MailTransportAkonadi/mailtransportakonadi COMPONENT Devel
     )
 
-ecm_generate_pri_file(BASE_NAME KMailTransportAkonadi LIB_NAME KF5MailTransportAkonadi DEPS "KMailTransport AkonadiCore KMime AkonadiMime" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/MailTransportAkonadi/)
+ecm_generate_pri_file(BASE_NAME KMailTransportAkonadi LIB_NAME KF5MailTransportAkonadi DEPS "KMailTransport AkonadiCore KMime AkonadiMime" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/MailTransportAkonadi/)
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
 
 
@@ -119,7 +117,7 @@
 
 install(FILES
     ${CMAKE_CURRENT_BINARY_DIR}/mailtransportakonadi_version.h
-    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
+    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/MailTransportAkonadi COMPONENT Devel
     )
 
 if(BUILD_TESTING)

=== src/kmailtransport/tests/CMakeLists.txt ===

include(ECMMarkAsTest)

find_package(KF5TextWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)

add_executable(transportmgr transportmgr.cpp transportmgr.h)
ecm_mark_as_test(transportmgr)
target_link_libraries(transportmgr KF5MailTransport Qt::Widgets KF5::I18n KF5::ConfigGui KF5::TextWidgets KF5::CoreAddons)

add_executable(servertest servertest.cpp)
ecm_mark_as_test(servertest)
target_link_libraries(servertest KF5MailTransport KF5::I18n KF5::ConfigGui Qt::Widgets)


add_executable(addtransportdialogng_gui addtransportdialogng_gui.cpp)
ecm_mark_as_test(addtransportdialogng_gui)
target_link_libraries(addtransportdialogng_gui KF5MailTransport KF5::I18n KF5::ConfigGui Qt::Widgets)

=== src/kmailtransportakonadi/plugins/CMakeLists.txt ===
kcoreaddons_add_plugin(mailtransport_akonadiplugin INSTALL_NAMESPACE "pim${QT_MAJOR_VERSION}/mailtransport")
target_sources(mailtransport_akonadiplugin PRIVATE
    akonadimailtransportplugin.cpp
    resourcesendjob.cpp
    resourcesendjob_p.h
    akonadimailtransportplugin.h
    )

ecm_qt_declare_logging_category(mailtransport_akonadiplugin HEADER mailtransportplugin_akonadi_debug.h IDENTIFIER
        MAILTRANSPORT_AKONADI_LOG CATEGORY_NAME org.kde.pim.mailtransport.akonadiplugin
        DESCRIPTION "kmailtransport (akonadi plugin)"
        EXPORT MAILTRANSPORT
    )




target_link_libraries(mailtransport_akonadiplugin
    KF5::MailTransportAkonadi
    KF5::MailTransport
    KF5::CoreAddons
    KF5::AkonadiCore
    KF5::AkonadiWidgets
    KF5::I18n
    KF5::ConfigWidgets
    Qt::DBus
    )

=== src/kmailtransportakonadi/tests/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 set(queuer_srcs queuer.cpp)
 add_executable(queuer ${queuer_srcs})
 ecm_mark_as_test(queuer)
-target_link_libraries(queuer KF5MailTransportAkonadi Qt::Widgets KF5::I18n KF5::ConfigGui KF5::TextWidgets)
+target_link_libraries(queuer KF5MailTransportAkonadi KF5MailTransport Qt::Widgets KF5::I18n KF5::ConfigGui KF5::TextWidgets)
 
 set( sendqueued_srcs sendqueued.cpp )
 add_executable( sendqueued ${sendqueued_srcs} )

=== src/kmailtransport/plugins/smtp/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 if (BUILD_TESTING)
     add_subdirectory(autotests)
 endif()
-kcoreaddons_add_plugin(mailtransport_smtpplugin JSON smtpmailtransport.json INSTALL_NAMESPACE mailtransport)
+kcoreaddons_add_plugin(mailtransport_smtpplugin INSTALL_NAMESPACE "pim${QT_MAJOR_VERSION}/mailtransport")
 
 target_sources(mailtransport_smtpplugin PRIVATE
     smtpmailtransportplugin.cpp

=== src/kmailtransport/plugins/tests/CMakeLists.txt ===
include(ECMMarkAsTest)
add_executable(transportmanagertest transportmanagertest.cpp)
ecm_mark_as_test(transportmanagertest)
target_link_libraries(transportmanagertest KF5MailTransport)

=== debian/changelog ===
kmailtransport (22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:32:20 +0100

kmailtransport (22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:25:52 +0100

kmailtransport (22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:35:59 +0100

kmailtransport (22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:04:00 +0100

kmailtransport (22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:54:00 +0100

kmailtransport (22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:11:31 +0200

kmailtransport (22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:09:12 +0200

kmailtransport (22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.1 (No changes needed).
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:45:42 +0200

kmailtransport (22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:56:57 +0200

kmailtransport (22.04.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:01:45 +0200

kmailtransport (22.04.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Remove architecture restriction for libkpimgapi-dev.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 07:51:58 +0200

kmailtransport (22.04.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Remove make_libgapi_optional.patch as libkgapi is now available on
    all architectures.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 07:08:06 +0200

kmailtransport (22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:46:51 +0200

kmailtransport (22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.
  * Refresh patch.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Wed, 25 May 2022 23:44:01 +0200

kmailtransport (21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:09:51 +0200

kmailtransport (21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Refresh patches.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 23:22:55 +0100

=== debian/control ===
Source: kmailtransport
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               gettext,
               libkf5akonadi-dev (>= 4:22.12.3~),
               libkf5akonadimime-dev (>= 4:22.12.3~),
               libkf5configwidgets-dev (>= 5.99.0~),
               libkf5dbusaddons-dev,
               libkf5i18n-dev (>= 5.99.0~),
               libkf5kcmutils-dev (>= 5.99.0~),
               libkf5kio-dev (>= 5.99.0~),
               libkf5mime-dev (>= 22.12.3~),
               libkf5textwidgets-dev (>= 5.99.0~),
               libkf5wallet-dev (>= 5.99.0~),
               libkpimgapi-dev (>= 22.12.3~),
               libkpimsmtp-dev (>= 22.12.3~),
               libsasl2-dev,
               libsasl2-modules,
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qt5keychain-dev,
               qtbase5-dev (>= 5.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/kmailtransport
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmailtransport
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmailtransport.git
Rules-Requires-Root: no

Package: kde-config-mailtransport
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: mail transport service KCM
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.

Package: kmailtransport-akonadi
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: mail transport akonadi library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the akonadi plugin.

Package: libkf5mailtransport-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5mailtransport5 (<< 20.04.1-2~),
Replaces: libkf5mailtransport5 (<< 20.04.1-2~),
Description: mail transport service library - data files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package also contains a KDE control module which can be embedded
 into your application to provide mail transport configuration.
 .
 This package contains data files.

Package: libkf5mailtransport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadimime-dev (>= 4:22.12.3~),
         libkf5completion-dev,
         libkf5configwidgets-dev (>= 5.99.0~),
         libkf5coreaddons-dev,
         libkf5i18n-dev (>= 5.99.0~),
         libkf5mailtransport5 (= ${binary:Version}),
         libkf5mailtransportakonadi5 (= ${binary:Version}),
         libkf5mime-dev (>= 22.12.3~),
         libkf5wallet-dev (>= 5.99.0~),
         libkf5widgetsaddons-dev,
         libsasl2-dev,
         qtbase5-dev (>= 5.7.0~),
         ${misc:Depends},
Description: mail transport service library - development files
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This package contains the development files.

Package: libkf5mailtransport5
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-config-mailtransport,
Description: mail transport service library
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
Provides: ${ABI:VirtualPackage},

Package: libkf5mailtransportakonadi5
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-config-mailtransport,
Description: mail transport service library for akonadi
 Mailtransport is a library that provides the following functionality:
 .
  * Shared mail transport settings.
  * GUI elements to configure mail transport settings.
  * Job classes for mail sending.
 .
 This library integrates with Akonadi.
Provides: ${ABI:VirtualPackage},
